Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Interface ProxyCollection

All Superinterfaces:
  Collection, Proxy

All Known Implementing Classes:
  ProxyArrayList, ProxyHashSet, ProxyLinkedList, ProxyTreeSet, ProxyVector

public interface ProxyCollection
extends Proxy, Collection

Interface implemented by all proxies on `Collection` types.

Method Summary
`Comparator` | `getComparator()` Return the comparator used in this collection, or null if it is unordered or uses natural ordering.
`Collection` | `getCopy(Collection orig)` This method should return a copy of the given collection; the copy should be of the same class as the superclass of this collection.
`ProxyCollection` | `newInstance(Class elementType, Collection contents, Comparator compare)` This method should return a new proxy of the same concrete type as the implementing class.

Methods inherited from interface com.solarmetric.kodo.util.Proxy
`getOwner, getOwnerFieldName, setOwner`

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### newInstance

    public ProxyCollection newInstance(Class elementType,
                                       Collection contents,
                                       Comparator compare)

  This method should return a new proxy of the same concrete type as the implementing class. Used by the `ProxyManager` factories: one template instance of each type is created for the purpose of producing new instances via this method. Overcomes the performance penalties of reflection.

### getCopy

    public Collection getCopy(Collection orig)

  This method should return a copy of the given collection; the copy should be of the same class as the superclass of this collection.

### getComparator

    public Comparator getComparator()

  Return the comparator used in this collection, or null if it is unordered or uses natural ordering.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.